Curriculum
Add new item
AuthorizationBearer <token>
In: header
Path Parameters
entity_typestring
Type of context (course, cohort, learning_path)
Default
nullentity_idstring
ID of the course, cohort, or learning path
Default
nullFormat
uuidcontent_idstring
Default
"123e4567-e89b-12d3-a456-426614174010"Format
uuidcontent_typestring
Default
"lesson"order_indexinteger
Default
5parent_idstring
Default
"123e4567-e89b-12d3-a456-426614174009"Format
uuidResponse Body
curl -X POST "https://edushade.com/api/v1/learning/curriculum/{entity_type}/{entity_id}/items" \
-H "Content-Type: application/json" \
-d '{
"content_id": "123e4567-e89b-12d3-a456-426614174010",
"content_type": "lesson",
"order_index": 5,
"parent_id": "123e4567-e89b-12d3-a456-426614174009"
}'{}Empty
Empty
Empty